## ros-foxy-pal-gazebo-worlds 3.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.0)
project(pal_gazebo_worlds)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake_auto REQUIRED)

# PAL Robotics stricter build flags, other developers should not worry about this
find_package(ament_cmake_pal QUIET)

#include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

# Will migrate when https://github.com/ros-simulation/gazebo_ros_pkgs/pull/973 is merged
# Or when get/set physics_properties services are added to gazebo
#add_executable(increase_real_time_factor src/increase_real_time_factor.cpp)
#target_link_libraries(increase_real_time_factor ${catkin_LIBRARIES})

#install(TARGETS increase_real_time_factor
#    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
#)

#if(CATKIN_ENABLE_TESTING)
#  find_package(rostest REQUIRED)
#  find_package(roscpp REQUIRED)
#  find_package(gazebo_msgs REQUIRED)
#  include_directories(SYSTEM ${roscpp_INCLUDE_DIRS} ${gazebo_msgs_INCLUDE_DIRS})

#  add_rostest_gtest(run_gazebo_server-test test/run_gazebo_server.test test/test_run_gazebo_server.cpp)
#  target_link_libraries(run_gazebo_server-test ${roscpp_LIBRARIES})
#endif(CATKIN_ENABLE_TESTING)


ament_auto_package(INSTALL_TO_SHARE launch models worlds urdf meshes)

=== debian/changelog ===
ros-foxy-pal-gazebo-worlds (3.0.2-1focal) focal; urgency=high

  * Add missing ament_cmake_auto dependency
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 09 Mar 2021 23:00:00 -0000

ros-foxy-pal-gazebo-worlds (3.0.1-1focal) focal; urgency=high

  * Remove ROS1 dependencies
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 09 Mar 2021 23:00:00 -0000

ros-foxy-pal-gazebo-worlds (3.0.0-1focal) focal; urgency=high

  * Add notice about missing gazebo services
  * Parse properly world_name
  * Fixes to gazebo paths
  * Fix path of models env variable
  * First foxy launch file
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 09 Mar 2021 23:00:00 -0000

ros-foxy-pal-gazebo-worlds (2.0.40-1focal) focal; urgency=high

  * Merge branch 'add-small-office-inventory' into 'erbium-devel'
    added small office inventory (clone of small office)
    See merge request common/pal_gazebo_worlds!38
  * added small office inventory (clone of small office)
  * Merge branch 'featured-world' into 'erbium-devel'
    added featured world for ari navigation simulation
    See merge request common/pal_gazebo_worlds!37
  * added featured world for ari navigation simulation
  * Contributors: Federico Nardi, Procópio Stein, procopiostein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 25 May 2020 22:00:00 -0000

ros-foxy-pal-gazebo-worlds (2.0.39-1focal) focal; urgency=high

  * added calibration room
  * changing floor texture
  * added a new world based on small_office with wooden textured floor
  * Contributors: Procópio Stein, federiconardi, procopiostein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 03 May 2020 22:00:00 -0000

ros-foxy-pal-gazebo-worlds (2.0.38-1focal) focal; urgency=high

  * Merge branch 'swing_interp' into 'erbium-devel'
    Add world for swing interpolator test
    See merge request common/pal_gazebo_worlds!35
  * Add world for swing interpolator test
  * Contributors: Adrià Roig, victor

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 06 Apr 2020 22:00:00 -0000

ros-foxy-pal-gazebo-worlds (2.0.37-1focal) focal; urgency=high

  * Merge branch 'world' into 'erbium-devel'
    Modify worlds for tests
    See merge request common/pal_gazebo_worlds!34
  * Modify worlds for tests
  * Contributors: Adrià Roig, victor

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 29 Mar 2020 22:00:00 -0000

ros-foxy-pal-gazebo-worlds (2.0.36-1focal) focal; urgency=high

  * Merge branch 'tutorials-worlds' into 'erbium-devel'
    Gazebo worlds for ARI simulation
    See merge request common/pal_gazebo_worlds!32
  * Gazebo worlds for ARI simulation
  * Contributors: Sara Cooper, Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 04 Feb 2020 23:00:00 -0000

ros-foxy-pal-gazebo-worlds (2.0.35-1focal) focal; urgency=high

  * Merge branch 'dynamic-obstacles' into 'erbium-devel'
    added simple box model for dynamic obstacles integration test
    See merge request common/pal_gazebo_worlds!31
  * modified object model name
  * added simple box model for dynamic obstacles integration test
  * Contributors: Federico Nardi, Procópio Stein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 24 Oct 2019 22:00:00 -0000

ros-foxy-pal-gazebo-worlds (2.0.34-1focal) focal; urgency=high

  * Merge branch 'planner_chunk' into 'erbium-devel'
    added a new t_shaped world
    See merge request common/pal_gazebo_worlds!30
  * added a new t_shaped world
  * Contributors: Procópio Stein, Sai Kishor Kothakota

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 16 Oct 2019 22:00:00 -0000

ros-foxy-pal-gazebo-worlds (2.0.33-1focal) focal; urgency=high

  * Merge branch 'voronoi_world' into 'erbium-devel'
    Voronoi world
    See merge request common/pal_gazebo_worlds!29
  * Add voronoi_graph world to test grid alignment
  * Add small factory world
  * Add factroy world
  * Contributors: Adria Roig, Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 05 Sep 2019 22:00:00 -0000

ros-foxy-pal-gazebo-worlds (2.0.32-1focal) focal; urgency=high

  * Merge branch 'memmo' into 'erbium-devel'
    added memmo world
    See merge request common/pal_gazebo_worlds!27
  * added memmo world
  * Contributors: Hilario Tome

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 31 Jul 2019 22:00:00 -0000

ros-foxy-pal-gazebo-worlds (2.0.31-1focal) focal; urgency=high

  * Disallow auto disable for some items needed for tests
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 30 Jul 2019 22:00:00 -0000

ros-foxy-pal-gazebo-worlds (2.0.30-1focal) focal; urgency=high

  * Merge branch 'place_obj' into 'erbium-devel'
    Add green rectangle model as a place object
    See merge request common/pal_gazebo_worlds!25
  * Merge branch 'add-narrow-passage-world' into 'erbium-devel'
    add narrow_passage world
    See merge request common/pal_gazebo_worlds!26
  * add narrow_passage world
  * Add green rectangle model as a place object
  * Contributors: Adria Roig, Jordi Pages, Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 28 Jul 2019 22:00:00 -0000

ros-foxy-pal-gazebo-worlds (2.0.29-1focal) focal; urgency=high

  * Merge branch 'simple_sim' into 'erbium-devel'
    Add increase Gazebo real time factor node
    See merge request common/pal_gazebo_worlds!24
  * Add increase Gazebo real time factor node
  * Contributors: Adria Roig, Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 30 Jun 2019 22:00:00 -0000

ros-foxy-pal-gazebo-worlds (2.0.28-1focal) focal; urgency=high

  * Merge branch 'tiago_dual_calib' into 'erbium-devel'
    Add lower_sun_empty world for calibration tests
    See merge request common/pal_gazebo_worlds!23
  * Add lower_sun_empty world for calibration tests
  * Contributors: Adria Roig, Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 03 Jun 2019 22:00:00 -0000



=== debian/control ===
Source: ros-foxy-pal-gazebo-worlds
Section: misc
Priority: optional
Maintainer: Victor Lopez <victor.lopez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-auto, ros-foxy-gazebo-msgs, ros-foxy-rclcpp, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-pal-gazebo-worlds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-gazebo-msgs, ros-foxy-gazebo-ros, ros-foxy-rclcpp, ros-foxy-ros-workspace
Description: Simulation worlds for PAL robots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-pal-gazebo-worlds//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
